Subject: Re: [PATCH v2] compat/posix.h: enable UNUSED warning messages for Clang

From: Dominik Loidolt <[email-masked]>
Date: Fri, 5 Jun 2026 13:50:29 +0200

Thanks for the review!

I noticed that the version-check style now differs between GCC and the newly
introduced Clang checks, would it make sense to make them consistent? Like:

diff --git a/compat/posix.h b/compat/posix.h
index faaae1b655..e20f8ec61e 100644
--- a/compat/posix.h
+++ b/compat/posix.h
@@ -17,7 +17,8 @@
 */
 #if defined(__GNUC__) && defined(__GNUC_MINOR__)
 # define GIT_GNUC_PREREQ(maj, min) \
-	((__GNUC__ << 16) + __GNUC_MINOR__ >= ((maj) << 16) + (min))
+	((__GNUC__ > (maj)) || \
+	(__GNUC__ == (maj) && (__GNUC_MINOR__ >= (min))))
 #else
  #define GIT_GNUC_PREREQ(maj, min) 0
 #endif

I think the current GCC bit-shift check is harder to read.
If you agree, I could send a 2-patch v3 series, which would also clean up the
comment style nit.

 Dominik